# 型号
* None


## 描述
Archon系统接口。


## 厂家
* None


## exec(command)
### 执行
### 接口描述
执行系统指令或者启动第三方程序。
### 参数
* 命令： 字符型，系统指令或者第三方程序的启动命令。
### 返回值
* None
### 例子
```
exec('ls /root -l')
```


## scp(command)
### 拷贝
### 接口描述
安全拷贝.
### 参数
* 命令: 字符型, scp [-r] [-P port] [[user@]host1:]file1 ... [[user@]host2:]file2 password.
### 返回值
* None
### 例子
```
scp('-r -P 22 root@169.254.1.32:/root/test D:\')
```


## calc(algo)
### 计算
### 接口描述
计算.
### 参数
* 算法: 计算的算法公式.
### 返回值
* 整型/浮点型：计算公式的结果
### 例子
```
print(calc(1+1))
```


## input(msg)
### 输入
### 接口描述
从输入框中输入内容.
### 参数
* 消息: 字符型, 输入框中的提示信息.
### 返回值
* 任何类型, 输入框中输入的内容.
### 例子
```
print(input('请输入SN'))
```


## output(msg)
### 输出
### 接口描述
输出消息到输出框.
### 参数
* 消息: 字符型, 输出框中的消息.
### 返回值
* None
### 例子
```
output('请选择通道1并点击按钮!')
```

## combobox_input(msg, items)
### 下拉列表输入
### 接口描述
从下拉列表输入框中选择输入的内容.
### 参数
* 消息: 字符型, 输出框中的消息.
* 元素列表: 列表, 下拉列表框中包含的元素.
### 返回值
* 任何类型, 下拉列表框中选择的内容.
### 例子
```
print(combobox_input('please select bank35 voltage', [1.8, 2.5, 3.3]))
```

## confirm_output(msg)
### 带确定按钮的输出
### 接口描述
输出消息到带有确定按钮的输出框中
### 参数
* 消息: 字符型, 输出框中的消息.
### 返回值
* None
### 例子
```
confirm_output('请选择通道1并点击确认按钮!')
```


## confirm_stop_output(msg)
### 带确定与停止按钮的输出
### 接口描述
输出消息到带有确定和停止按钮的输出框中
### 参数
* 消息: 字符型, 输出框中的消息.
### 返回值
* None
### 例子
```
confirm_stop_output('请选择通道1并点击确认按钮或者点击停止按钮停止测试!')
```


## alert_output(msg)
### 告警输出框
### 接口描述
输出告警消息到框中
### 参数
* 消息: 字符型, 输出框中的消息.
### 返回值
* None
### 例子
```
alert_output('告警: 温度接近阈值!')
```

## error_output(msg)
### 错误输出框
### 接口描述
输出错误消息到框中
### 参数
* 消息: 字符型, 输出框中的消息.
### 返回值
* None
### 例子
```
error_output('错误: 温度超过阈值!')
```

## scaner()
### 扫码
### 接口描述
扫描二维码
### 参数
* 长度：整型，二维码的长度
### 返回值
* 字符型，二维码的值
### 例子
```
print(scaner())
```


## set_sn()
### 设置条码
### 接口描述
设置条码
### 参数
* 条码：字符型，条码
### 返回值
* 字符型，条码
### 例子
```
print(set_sn("GQQ02950500Q17584"))
```


## ping(command)
### 测试网络延迟
### 接口描述
测试远程主机的网络延迟，并处理响应
### 参数
* 指令：字符型，ping [options] <destination>
### 返回值
* 字符型
### 例子
```
print(ping('-c 1 -W 0.1 169.254.1.32'))
```


## if(condition)
### 条件作用域开始标识符
### 接口描述
条件语句块的作用域开始标识符，与if_end成对使用
### 参数
* 条件：判断的条件
### 返回值
* None
### 例子
* None


## elif(condition)
### 条件作用域标识符
### 接口描述
if 语句后可以有 0 个或多个 else if 语句，else if 语句必须在 else 语句出现之前。
### 参数
* 条件：判断的条件
### 返回值
* None
### 例子
* None


## else()
### 条件作用域标识符
### 接口描述
if 语句后可以有 0 个或 1 个 else，但是如果 有 else if 语句，else 语句需要在 else if 语句之后。
### 参数
* None
### 返回值
* None
### 例子
* None


## if_end()
### 条件作用域结束标识符
### 接口描述
条件语句块的作用域结束标识符，与if成对使用
### 参数
* None
### 返回值
* None
### 例子
* None


## assert(condition)
### 断言
### 接口描述
用于判断一个表达式，在表达式条件为 false 的时候用例报错。
### 参数
* 条件：判断的条件
### 返回值
* None
### 例子
* None


## loop(count)
### 循环作用域开始标识符
### 接口描述
循环作用域开始的标识符，与loop_end成对使用
### 参数
* 循环次数：整型，循环次数必须大于0，否则循环不被执行，"inf"表示无限循环
### 返回值
* None
### 例子
* None


## loop_end()
### 循环作用域结束标识符
### 接口描述
循环作用域结束的标识符，与loop成对使用
### 参数
* None
### 返回值
* None
### 例子
* None


## break()
### 退出循环
### 接口描述
在循环作用域中使用，可以退出当前的循环
### 参数
* None
### 返回值
* None
### 例子
* None


## var(command)
### 定义变量
### 接口描述
定义变量
### 参数
* 值：定义的变量的值，可以是任何类型
### 返回值
* 任何类型
### 例子
```
var(123)
```


## timeout(timeout_ms)
### 超时
### 接口描述
设定测试用例的超时时间，超时时间是全局时间，设定后，后续的用例都设定的时间，直到时间被重新设定。
### 参数
* 时间：整型，超时的时间，单位是毫秒
### 返回值
* None
### 例子
```
timeout(3000)#后续的用例都是3秒超时
```


## delay(time_ms)
### 延迟
### 接口描述
等待指定的时间
### 参数
* 时间：整型，需要等待的时间，单位是毫秒
### 返回值
* None
### 例子
```
delay(1000) # 等待1秒
```


## run_app(file)
### 运行程序
### 接口描述
运行可执行的程序
### 参数
* 程序：字符型，程序的全路径
### 返回值
* None
### 例子
```
run_app('./test.exe')
```


## load_library(file)
### 加载库
### 接口描述
加载库，包括C库和python库
### 参数
* 路径：字符型，库的全路径
### 返回值
* None
### 例子
```
load_library('./libtest.so')
```
