# 型号
* None


## 描述
支持 TCP 通信协议。


## 厂家
* None

## 类名
* TCPClient
### 参数
* 仪器名称：字符型，仪器的名称
* 设置：字符型，串口配置信息，格式是 “IP地址:端口号”
* 命令结束符：字符型，与仪器通信时的指令结束符。
### 例子
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
```

## write(command)
### 发送数据
### 接口描述
使用TCP发送字符串数据
### 参数
* 命令： 字符型，串口字符串数据
### 返回值
* None
### 例子
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
tcp.send('[]version(255)')
```

## read()
### 接收TCP数据
### 接口描述
接收TCP的数据并按照字符串的格式返回
### 参数
* None
### 返回值
* 字符型
### 例子
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
tcp.send('[]version(255)')
print(tcp.read())
```

## read_bytes()
### 接收TCP bytes数据
### 接口描述
接收TCP的数据并按照bytes的格式返回
### 参数
* None
### 返回值
* Bytes
### 例子
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
tcp.send('[]version(255)')
print(tcp.read_bytes())
```

## query(command)
### 发送并接收数据
### 接口描述
发送TCP指令并接收返回结果，如果TCP指令没有返回，则会导致阻塞
### 参数
* 命令： 字符型，串口字符串数据
### 返回值
* 字符型
### 例子
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
print(tcp.query('[]version(255)'))
```
