# Model
* None


## Description
Support TCP protocol.


## Vendor
* None

## Class Name
* TCPClient
### Parameters
* partno: str, Device PartNo.
* setting: str, TCPClient connect setting. Format is "IP:port".
* CRLF: str, Serial Message endle, also you can reserve blank and send command with endle every time.
### Examples
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
```

## write(command)
### Function Description
Send TCP message.
### Parameters
* command: str, command to TCP device.
### Returns
* None
### Examples
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
tcp.send('[]version(255)')
```

## read()
### Function Description
Recive reply.
### Parameters
* None
### Returns
* str
### Examples
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
tcp.send('[]version(255)')
print(tcp.read())
```

## read_bytes()
### Function Description
Recive reply, and return bytes.
### Parameters
* None
### Returns
* bytes
### Examples
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
tcp.send('[]version(255)')
print(tcp.read_bytes())
```

## query(command)
### Function Description
Send command, then recive reply.
### Parameters
* command: str, command to tcp device.
### Returns
* str
### Examples
```
tcp = TCPClient('Xavier', setting='169.254.1.32:7600', CRLF='\r\n')
print(uart.query('[]version(255)'))
```
