import re
import socket
import select
from ._tcp import _TCPMessage


class TCPDef:
    RECV_LEN = 2048


class TCPServer():
    """TCPServer is support for setup tcp server.

    Args:
        partno (str): Device PartNo.
        CRLF (str): TCP Message endle, also you can reserve blank and
                    send command with endle every time.
        setting (str): TCP server band setting. Format is ip:port.

    Attributes:
        ipaddr (str): TCP band ip.
        port (int): TCP band port.

    Examples:
        >>> tcp = TCPServer(setting='0.0.0.0:7600', CRLF='\\r\\n')
    """

    def __init__(self, partno: str = "", setting: str = "", CRLF: str = "") -> None:
        self._opened = False

    def open(self):
        """
        """
        self._opened = True

    def close(self):
        """
        """
        self._opened = False

    @property
    def is_open(self):
        return self._opened

    def accept(ipaddr: str = "", port=None) -> _TCPMessage:
        """accept TCP client connect.

        Args:
            command (str): command to TCP client.

        Returns:
            _TCPMessage:

        Examples:
            >>> tcp = TCPServer(setting='0.0.0.0:7600', CRLF='\\r\\n')
            message = tcp.accept('169.254.1.99')
        """
