# Model
* None


## Description
Support Xavier TinyDDP protocol.


## Vendor
* None

## Class Name
* TinyDDP
### Parameters
* partno: str, Device PartNo.
* setting: str, DDP connect setting. Format is "ip".
* CRLF: str, Reserve.
### Examples
```
ddp = TinyDDP(partno="Xavier-001-007A", setting="169.254.1.32")
```

## call(command)
### Function Description
Call remote method via tinyddp protocal.
### Parameters
* command: str, ddp command.
### Returns
* Any
### Examples
```
ddp = TinyDDP(partno="Xavier-001-007A", setting="169.254.1.32")
print(ddp.call('server.all_methods()'))
```

## relay_switch(test_point)
### Function Description
Switch the state of the bit according to the network label defined in the controlbit.json file.
### Parameters
* test_point: list, defined in controlbit.json.
### Returns
* Boolen: True is success, False is fail.
### Examples
```
>>> ddp = TinyDDP(partno="Xavier-001-007A", setting="169.254.1.32")
print(ddp.relay_switch(['POWER_ON']))
```

## switch(name)
### Function Description
Switch to Arbiter channel, specific channel defined by Arbiter, management channel named "mgnt".
### Parameters
* name: str, Corresponds to the channel name defined in Arbiter.
### Returns
* None
### Examples
```
>>> ddp = TinyDDP(partno="Xavier-001-007A", setting="169.254.1.32")
print(ddp.relay_switch("mgnt"))
```
