# 型号
* None


## 描述
支持 Serial 通信协议。


## 厂家
* None

## 类名
* Serial
### 参数
* 仪器名称：字符型，仪器的名称
* 设置：字符型，串口配置信息，格式是 “端口号,波特率,位宽,校验位,停止位”
* 命令结束符：字符型，与仪器通信时的指令结束符。
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
```

## write(command)
### 发送数据
### 接口描述
使用串口发送字符串数据
### 参数
* 命令： 字符型，串口字符串数据
### 返回值
* None
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
uart.write('hello world')
```

## write_hex(command)
### 发送十六进制数据
### 接口描述
使用串口发送十六进制数据
### 参数
* 命令： 列表，十六进制数据列表
### 返回值
* None
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
uart.write_hex([10,20,30])
```

## read(len)
### 接收串口数据
### 接口描述
接收串口的数据并按照字符串的格式返回
### 参数
* 长度： 整型，接收的数据长度，默认是None，当为空的时候，则一直接收数据直达接收完毕所有数据
### 返回值
* 字符型
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.read())
```

## read_hex(len)
### 接收串口十六进制数据
### 接口描述
接收串口的数据并按照十六进制列表的格式返回
### 参数
* 长度： 整型，接收的数据长度，默认是None，当为空的时候，则一直接收数据直达接收完毕所有数据
### 返回值
* 列表
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.read_hex())
```

## read_bytes(len)
### 接收串口bytes数据
### 接口描述
接收串口的数据并按照bytes格式返回
### 参数
* 长度： 整型，接收的数据长度，默认是None，当为空的时候，则一直接收数据直达接收完毕所有数据
### 返回值
* bytes
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.read_bytes())
```

## query(command)
### 发送并接收数据
### 接口描述
发送串口指令并接收返回结果，如果串口指令没有返回，则会导致阻塞
### 参数
* 命令： 字符型，串口字符串数据
### 返回值
* 字符型
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.query('hello world'))
```

## sendfile_ymodem(file)
### 使用ymodem发送文件
### 接口描述
使用ymodem协议发送文件
### 参数
* 文件： 字符型，需要发送的文件绝对路径
### 返回值
* 布尔型：成功返回True，失败返回False
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.sendfile_ymodem('d:\\test.bin'))
```

## sendfile_xmodem(file)
### 使用xmodem发送文件
### 接口描述
使用xmodem协议发送文件
### 参数
* 文件： 字符型，需要发送的文件绝对路径
### 返回值
* 布尔型：成功返回True，失败返回False
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.sendfile_xmodem('d:\\test.bin'))
```

## sendfile_zmodem(file)
### 使用zmodem发送文件
### 接口描述
使用zmodem协议发送文件
### 参数
* 文件： 字符型，需要发送的文件绝对路径
### 返回值
* 布尔型：成功返回True，失败返回False
### 例子
```
uart = Serial(partno="IT8812C", setting="COM1,115200,8,none,1", CRLF='\r\n')
print(uart.sendfile_zmodem('d:\\test.bin'))
```
