# Model
* None


## Description
Support Visa protocol.


## Vendor
* None

## Class Name
* Visa
### Parameters
* partno: str, Device PartNo.
* setting: str, Visa connect setting. Format is resource.
* CRLF: str, Visa Message endle, also you can reserve blank and send command with endle every time.
### Examples
```
visa = Visa(partno="IT8812C", setting='TCPIP0::169.254.1.32::7801::SOCKET', CRLF='\r\n')
```

## write(command)
### Function Description
Send command to via visa.
### Parameters
* command: str, command to visa device.
### Returns
* None
### Examples
```
visa = Visa(partno="IT8812C", setting='TCPIP0::169.254.1.32::7801::SOCKET', CRLF='\r\n')
visa.write('*IDN?')
```

## read(length)
### Function Description
Recive reply via visa.
### Parameters
* length: int, data length.
### Returns
* str
### Examples
```
visa = Visa(partno="IT8812C", setting='TCPIP0::169.254.1.32::7801::SOCKET', CRLF='\r\n')
visa.write('*IDN?')
print(visa.read())
```

## query(command)
### Function Description
Send command to via visa, then recive reply data.
### Parameters
* command: str, command to visa device.
### Returns
* str
### Examples
```
visa = Visa(partno="IT8812C", setting='TCPIP0::169.254.1.32::7801::SOCKET', CRLF='\r\n')
visa.query('*IDN?')
```
